Bug 16708 - ElasticSearch - Fix authority reindexing
Summary: ElasticSearch - Fix authority reindexing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 12478
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-10 13:24 UTC by Jonathan Druart
Modified: 2017-06-14 22:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16708: Fix authority reindex for ElasticSearch (5.91 KB, patch)
2016-06-10 13:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16708: Fix authority reindex for ElasticSearch (5.91 KB, patch)
2016-06-22 15:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16708 - (QA followup) Fix pod copy/paste error (1.00 KB, patch)
2016-06-22 15:11 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-06-10 13:24:15 UTC

    
Comment 1 Jonathan Druart 2016-06-10 13:27:10 UTC Comment hidden (obsolete)
Comment 2 Juan Romay Sieira 2016-06-21 21:32:42 UTC
the patch applies correctly and the authorities reindex fine
Comment 3 Nick Clemens 2016-06-22 15:11:18 UTC
Created attachment 52695 [details] [review]
Bug 16708: Fix authority reindex for ElasticSearch

The changes made to Koha::Authority has not been correctly fixed.
The code of Koha::Authority has been moved bo
Koha::MetadataRecord::Authority by bug 15380.

Test plan:
  perl misc/search_tools/rebuild_elastic_search.pl -a -v
should success
Comment 4 Nick Clemens 2016-06-22 15:11:31 UTC
Created attachment 52696 [details] [review]
Bug 16708 - (QA followup) Fix pod copy/paste error

Change Koha::Authority to Koha::MetadataRecord::Authority
Comment 5 Kyle M Hall 2016-06-24 11:59:51 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 6 Frédéric Demians 2016-08-01 11:51:09 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-16 12:43:36 UTC
Not needed in 3.22.x